<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->

<!DOCTYPE dataset SYSTEM "../../../../../../../dtd/squash-tm.10.0.0.dtd">

<dataset>

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1459"/>

  <!-- Administration -->
  <THIRD_PARTY_SERVER SERVER_ID="-23" NAME="Local orchestrator" URL="http://local-orchestrator" CREATED_ON="2014-05-16"  CREATED_BY="admin"/>
  <TEST_AUTOMATION_SERVER SERVER_ID="-23" KIND="squashOrchestrator"/>

  <THIRD_PARTY_SERVER SERVER_ID="-15" NAME="git server" URL="http://git-server" CREATED_ON="2014-05-16"  CREATED_BY="admin"/>
  <SCM_SERVER SERVER_ID="-15" KIND="git" COMMITTER_MAIL=""/>
  <SCM_REPOSITORY SCM_REPOSITORY_ID="-15" SERVER_ID="-15" NAME="git repo" REPOSITORY_PATH="/opt/repos/myrepo" WORKING_BRANCH="main" />

  <PROJECT PROJECT_ID="-64" TA_SERVER_ID="-23" NAME="LEAF Project" ATTACHMENT_LIST_ID="-1459" CREATED_ON="2015-05-16" CREATED_BY="admin" />

  <AUTOMATED_TEST_TECHNOLOGY AT_TECHNOLOGY_ID="-1" NAME="Robot Framework" ACTION_PROVIDER_KEY="robotframework/execute@v1"/>
  <AUTOMATED_TEST_TECHNOLOGY AT_TECHNOLOGY_ID="-2" NAME="Cypress" ACTION_PROVIDER_KEY="cypress/execute@v1"/>

  <!-- 4 SquashAutom Test Cases -->
  <TEST_CASE_LIBRARY_NODE TCLN_ID="-76" PROJECT_ID="-64" NAME="Cypress test" CREATED_BY="admin" CREATED_ON="2022-01-01" ATTACHMENT_LIST_ID="-1459" />
  <TEST_CASE TCLN_ID="-76" REFERENCE="TC76" AUTOMATED_TEST_REFERENCE="automation/test8#my_test8" SCM_REPOSITORY_ID="-15" AUTOMATED_TEST_TECHNOLOGY="-2" PREREQUISITE="" UUID="e"/>

  <TEST_CASE_LIBRARY_NODE TCLN_ID="-77" PROJECT_ID="-64" NAME="Robot test" CREATED_BY="admin" CREATED_ON="2022-01-01" ATTACHMENT_LIST_ID="-1459" />
  <TEST_CASE TCLN_ID="-77" REFERENCE="TC77" AUTOMATED_TEST_REFERENCE="automation/test9#my_test9" SCM_REPOSITORY_ID="-15" AUTOMATED_TEST_TECHNOLOGY="-1" PREREQUISITE="" UUID="f"/>

  <!-- Campaign -->
  <ITERATION ITERATION_ID="-55" NAME="IT2" CREATED_BY="User-1" CREATED_ON="2014-05-23" ACTUAL_END_AUTO="0" ACTUAL_START_AUTO="0" UUID="a"/>

  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-105" TCLN_ID="-76" CREATED_BY="admin" CREATED_ON="2022-01-01"/>
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-106" TCLN_ID="-77" CREATED_BY="admin" CREATED_ON="2022-01-01"/>

  <ITEM_TEST_PLAN_LIST ITERATION_ID="-55" ITEM_TEST_PLAN_ID="-105" ITEM_TEST_PLAN_ORDER="0"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-55" ITEM_TEST_PLAN_ID="-106" ITEM_TEST_PLAN_ORDER="1"/>

</dataset>
